<?php

/* Plugin Name: Base Converter Shortcode
 * Plugin URI: http://benung.nfshost.com/archives/517
 * Description: A Shortcode to automatically convert base-10 numbers to another base. Syntax: [base no="number in base 10" base="base to convert to" (prec="decimal places to show") (show="0|1")]
 * Author: Carsten Becker
 * Version: 0.1
 * Author URI: http://sanstitre.nfshost.com
 *
 * Copyleft 2011 Carsten Becker (carbeck@gmail.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 */
 
require_once("baseconverter.php");

function fn_baseconverter($atts, $content = null) {
   extract(shortcode_atts(array(
      "no" => '0',
      "base" => '10',
      "prec" => '',
      "show" => '0'
   ), $atts));
   return dec_alt($no, $base, $prec, $show);
}
add_shortcode('base', 'fn_baseconverter');


?>
